Get platform users
curl --request GET \
--url https://app.autocalls.ai/api/white-label/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.autocalls.ai/api/white-label/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.autocalls.ai/api/white-label/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"name": "John Doe",
"email": "john@example.com",
"minutes_balance": 150.5,
"credits_balance": 500,
"created_at": "2025-01-05T10:30:00.000000Z"
},
{
"id": 124,
"name": "Jane Smith",
"email": "jane@example.com",
"minutes_balance": 75.25,
"credits_balance": 250,
"created_at": "2025-01-06T14:20:00.000000Z"
}
]
}
{
"data": []
}
{
"error": "You are not a white label admin."
}
White Label
Get platform users
Get all users belonging to your white label platform
GET
/
white-label
/
users
Get platform users
This endpoint returns a list of all users that belong to your white label platform. Use this to display user lists and manage your platform users.
This endpoint is only available for white label admins. Regular users will receive a 403 Forbidden error.
Response
Array of user objects
Show user properties
Show user properties
{
"data": [
{
"id": 123,
"name": "John Doe",
"email": "john@example.com",
"minutes_balance": 150.5,
"credits_balance": 500,
"created_at": "2025-01-05T10:30:00.000000Z"
},
{
"id": 124,
"name": "Jane Smith",
"email": "jane@example.com",
"minutes_balance": 75.25,
"credits_balance": 250,
"created_at": "2025-01-06T14:20:00.000000Z"
}
]
}
{
"data": []
}
{
"error": "You are not a white label admin."
}
Use Cases
- Display user list in your custom white label management dashboard
- Lookup user IDs for use with the transfer balance endpoint
- Monitor user balances to identify users who need credits
⌘I

